Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCDispatcherConfig

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.RPCDispatcherConfig

All Implemented Interfaces:
  java.io.Serializable

public class RPCDispatcherConfig
extends java.lang.Object
implements java.io.Serializable

Configuración del servlet RPC

See Also:
  Serialized Form

Field Summary
`boolean` | `checkSession`
`java.lang.String` | `defaultExecutor`
`java.util.Map` | `modules`
`java.lang.String` | `noSessionPage`
`java.lang.String` | `reloadPassword`
`java.lang.String` | `url`
`boolean` | `usesToken`

Constructor Summary
`RPCDispatcherConfig()` Creates a new instance of RPCDispatcherConfig

Method Summary
`java.lang.String` | `getDefaultExecutorClassName()` Obtiene la clase ejecutora del módulo por defecto
`java.lang.String` | `getDefaultExecutorModuleName()` Obtiene el nombre del modulo ejecutor por defecto
`java.lang.String` | `getModuleExecutor(java.lang.String theModuleName)` Obtiene el ejecutor de un modulo
`java.lang.String` | `toXML()` Obtiene el XML de los objetos

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    public java.lang.String url

### defaultExecutor

    public java.lang.String defaultExecutor

### modules

    public java.util.Map modules

### usesToken

    public boolean usesToken

### reloadPassword

    public java.lang.String reloadPassword

### checkSession

    public boolean checkSession

### noSessionPage

    public java.lang.String noSessionPage

Constructor Detail

### RPCDispatcherConfig

    public RPCDispatcherConfig()

  Creates a new instance of RPCDispatcherConfig

Method Detail

### getModuleExecutor

    public java.lang.String getModuleExecutor(java.lang.String theModuleName)

  Obtiene el ejecutor de un modulo

  Parameters:
    `theModuleName` -
  Returns:
    el modulo ejecutor

### getDefaultExecutorModuleName

    public java.lang.String getDefaultExecutorModuleName()

  Obtiene el nombre del modulo ejecutor por defecto

  Returns:
    el nombre

### getDefaultExecutorClassName

    public java.lang.String getDefaultExecutorClassName()

  Obtiene la clase ejecutora del módulo por defecto

  Returns:
    el nombre de la clase

### toXML

    public java.lang.String toXML()

  Obtiene el XML de los objetos

  Returns:
    el xml

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD